#include <Servo.h>

const int SERVO_PIN = A0;
const int SOFT_POT_PIN = A1;
const int GRAPH_LENGTH = 9;

Servo servo; 
void setup()
{
  Serial.begin(9600);
  pinMode(SERVO_PIN,OUTPUT);
  servo.attach(SERVO_PIN); //analog pin 0
  //servo.write(0);
  //delay(2000);

  pinMode(SOFT_POT_PIN, INPUT);
}

void loop() 
{
  int softPotADC = analogRead(SOFT_POT_PIN);
  //int softPotPosition = map(softPotADC, 0, GRAPH_LENGTH, 0, GRAPH_LENGTH);
  //Serial.print("<");
  //for (int i=0; i<GRAPH_LENGTH; i++)
  //{
  //  if(i == softPotPosition) Serial.print("|");
  //  else Serial.print("-");
  //}

  Serial.println(softPotADC);
  delay(500);

  while(Serial.available())
  {
    char c = softPotADC;
    Serial.println(softPotADC);   
  
    if (c == '9')
    {
      servo.write(90);
      delay(1000);
    }

    else if (c == '0')
    {
      servo.write(0);
      delay(1000);
    }

    /*
     else if (c == '8')
    {
      servo.write(180);
      delay(1000);
    }
     */
  }
}
 


